﻿using UnityEngine;
using System.Collections;

public class AttackScript : MonoBehaviour {

	public GameObject start, end;
	public GameObject p1, p2;
	public float speedMin = 3, speedMax = 5;
	public bool hit;
	public MinningScript script;
	public GameObject tempBlock;

	void Start () {
		StartCoroutine (Attack ());
	}

	void Update () {
		
	}

	public void StartAttack() {
		StartCoroutine (Attack ());
	}

	IEnumerator Attack() {
		hit = false;
		float s = start.transform.position.x;
		float e = end.transform.position.x;

		float dif = Mathf.Abs (e - s);
		p1.transform.position = new Vector3 (start.transform.position.x - dif * 0.4f, p1.transform.position.y, p1.transform.position.z);
		p2.transform.position = new Vector3 (start.transform.position.x - dif * 0.6f, p2.transform.position.y, p2.transform.position.z);

			

		yield return new WaitForSeconds (1);

		while (transform.position != end.transform.position) {
			transform.position = Vector3.MoveTowards(transform.position, end.transform.position, Random.Range(speedMin, speedMax) * Time.deltaTime);

			if (Input.GetKeyDown (KeyCode.Space)) {
				float result = Mathf.Abs(transform.position.x - start.transform.position.x);
				if (result > dif * 0.4f && result < dif * 0.6f) {
					print ("HIT");
					hit = true;
				} else {
					print ("MISS");
				}
				break;
			}
			yield return null;
		}

		yield return new WaitForSeconds (1);

		transform.position = start.transform.position;
		if (script != null) {
			script.attacking = false;
			if (hit) {
					script.DestroyBlock (tempBlock);
			}
		}

		script = null;
		tempBlock = null;
		transform.parent.gameObject.SetActive (false);
	}
}
