﻿using UnityEngine;
using System.Collections;

public class RatScript : MonoBehaviour {

	AudioSource audio;

	PlayerControl2D ratControl;
	bool selected;

	int spoons;

	void Start () {
		ratControl = GetComponent<PlayerControl2D> ();
		audio = GetComponent<AudioSource> ();

		if (selected)
			audio.Play ();
		else {
			audio.Stop ();
		}
	}

	void Update () {
		
	}

	void OnCollisionEnter2D (Collision2D col) {
		if (col.transform.tag == "Player") {

			if (selected) {
				ratControl.Lock ();
				col.transform.GetComponent<PlayerControl2D> ().Unlock ();
				col.transform.GetComponent<PlayerControl2D> ().StartMusga ();
				selected = false;
			}

			else if (!selected) {
				ratControl.Unlock ();
				col.transform.GetComponent<PlayerControl2D> ().Lock ();
				col.transform.GetComponent<PlayerControl2D> ().StopMusga ();
				selected = true;
			}

			col.transform.GetComponent<MinningScript> ().UpdateSpoons(spoons);
			spoons = 0;

			col.transform.GetComponent<Rigidbody2D> ().velocity = Vector3.zero;
			transform.GetComponent<Rigidbody2D> ().velocity = Vector3.zero;

			if (selected)
				audio.Play ();
			else {
				audio.Stop ();
			}
		}
	}

	void OnTriggerEnter2D (Collider2D other) {
		if (other.tag == "Spoon") {
			spoons++;

			Destroy (other.gameObject);
		}

		if (other.tag == "guard") {
			selected = false;
			ratControl.Lock ();

			GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerControl2D> ().Unlock ();
			GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerControl2D> ().StartMusga ();

			if (selected)
				audio.Play ();
			else {
				audio.Stop ();
			}
		}
	}
}
