﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.SceneManagement;

public class TimeScript : MonoBehaviour {

	public GameObject black;

	public float totalTime = 300;
	public float currentTime;

	public float meal1 = 0;
	public float meal2 = 0.4f;
	public float meal3 = 0.8f;

	public float desapearMeal1 = 0.3f;
	public float desapearMeal2 = 0.7f;
	public float desapearMeal3 = 1f;

	bool doneMeal1;
	bool doneMeal2;
	bool doneMeal3;

	bool doneDesapearMeal1;
	bool doneDesapearMeal2;
	bool doneDesapearMeal3;

	float fade = 0;

	void Start () {
		
	}

	void Update () {
		currentTime += Time.deltaTime;

		if (currentTime >= totalTime) {
			SceneManager.LoadScene (0);
		}

		Color c = black.transform.GetComponent<SpriteRenderer> ().color;

			fade = (currentTime/totalTime)/2;

		c.a = fade;
		black.transform.GetComponent<SpriteRenderer> ().color = c;


		if (!doneMeal1 && currentTime > totalTime * meal1) {

			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().SpawnSpoon ();
				//fade in, no final do fade in eles sao liberado **** fazer coroutine
				// fazer eles darem um fade out dps de um tempo.

				doneMeal1 = true;
			}
		}

		if (!doneMeal2 && currentTime > totalTime * meal2) {
			//spawn meal2
			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().SpawnSpoon ();
				//fade in, no final do fade in eles sao liberado **** fazer coroutine
				// fazer eles darem um fade out dps de um tempo.

				doneMeal2 = true;
			}
		}

		if (!doneMeal3 && currentTime > totalTime * meal3) {
			//spawn meal3
			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().SpawnSpoon ();
				//fade in, no final do fade in eles sao liberado **** fazer coroutine
				// fazer eles darem um fade out dps de um tempo.	

				doneMeal3 = true;
			}
		}

		if (!doneDesapearMeal1 && currentTime > totalTime * desapearMeal1) {

			doneDesapearMeal1 = true;

			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().UnSpawnSpoon ();
			}
		}

		if (!doneDesapearMeal2 && currentTime > totalTime * desapearMeal2) {

			doneDesapearMeal2 = true;

			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().UnSpawnSpoon ();
			}
		}

		if (!doneDesapearMeal3 && currentTime > totalTime * desapearMeal3) {

			doneDesapearMeal3 = true;

			foreach (var item in GameObject.FindGameObjectsWithTag ("tray")) {
				item.GetComponent<TrayScript> ().UnSpawnSpoon ();
			}
		}
	}
}
