﻿using UnityEngine;
using System.Collections;

public class TrayScript : MonoBehaviour {

	public GameObject spoon;
	public GameObject spoonPos;

	private GameObject spoonHolder;

	void Start () {
		Color c = transform.GetComponent<SpriteRenderer> ().color;
		float fade = 0;
		c.a = fade;
		transform.GetComponent<SpriteRenderer> ().color = c;
	}

	void Update () {
		
	}

	public void SpawnSpoon() {
		StartCoroutine (FadeOut ());
	}

	public void UnSpawnSpoon() {
		StartCoroutine (FadeIn ());
	}

	IEnumerator FadeOut() {
		Color c = transform.GetComponent<SpriteRenderer> ().color;
		float fade = 0;

		while (fade <= 1) {
			c.a = fade;
			transform.GetComponent<SpriteRenderer> ().color = c;

			fade += Time.deltaTime * 1;

			yield return null;
		}

		spoonHolder = Instantiate (spoon) as GameObject;

		spoonHolder.transform.position = spoonPos.transform.position;
	}

	IEnumerator FadeIn() {
		if(spoonHolder!= null) Destroy (spoonHolder.gameObject);
		spoonHolder = null;	

		Color c = transform.GetComponent<SpriteRenderer> ().color;
		float fade = 1;

		while (fade > 0) {
			c.a = fade;
			transform.GetComponent<SpriteRenderer> ().color = c;

			fade -= Time.deltaTime * 1;

			yield return null;
		}
	}
}
